claw::dereference< T > Class Template Reference

Function object that dereferences a pointer. More...

`#include <functional.hpp>`

Inheritance diagram for claw::dereference< T >:

## Public Member Functions

T & | operator() (T *a) const

## Detailed Description

template<typename T>
class claw::dereference< T >

Function object that dereferences a pointer.

Template arguments:

- T The pointed type (ie. int, not int*.

Author
  Julien Jorge

Definition at line 294 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

T & claw::dereference< T >::operator() | ( | T * | a | ) | const

inline

Definition at line 298 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp